%define srcname NewsCache

Summary: 	Cache server for USENET News.
Name: 		newscache
Version: 	0.99.22p1
Release: 	1
Group: 		System Environment/Daemons
Copyright:      GPL
Packager:	Carles Arjona <nospammer@bigfoot.com>
URL:		http://members.aon.at/hstraub/linux/newscache/
BuildRoot:	/var/tmp/%{name}-%{version}-root
Source: 	%{URL}download/%{srcname}-0.99.22.tar.gz
Source1:	newscache.conf
Source2:	newscache.init
Source3:	newscache.expire
Patch0:		%{srcname}-%{version}.patch.gz
BuildRequires:	gcc >= 2.7.2

%define cfgdir		%{_sysconfdir}/newscache
%define cronday		%{_sysconfdir}/cron.daily
%define spooldir	%{_var}/spool/newscache

%description
NewsCache is a free cache server for USENET News. NewsCache acts to
news reading clients like a news server, except that it stores only
those articles that have been requested by at least one client.
NewsCache targets problems of the current News System like network
bandwidth consumption or the IO load caused by news clients.

%prep
%setup -n %{srcname}
%patch0 -p1
( echo "#include <stdlib.h>" ; cat src/setugid.cc ) > src/setugid-nou.cc
mv src/setugid-nou.cc src/setugid.cc
cp -p configure configure.ori
grep -v '^VERSION=' configure.ori > configure
sed s?'$prefix/etc'?%{cfgdir}?g man/newscache.conf.5 > cfgman-nou.5
mv -f cfgman-nou.5 man/newscache.conf.5
sed s?'TH updatenews'?'TH cacheclean'? man/NewsCacheClean.8 > clean-nou.8
mv -f clean-nou.8 man/NewsCacheClean.8

%build
VERSION=%{version} ./configure --prefix="" --enable-debug=no \
 --mandir=%{_mandir} --with-docdir=%{_docdir} --sysconfdir=%{cfgdir} \
 --infodir=%{_infodir} --exec-prefix=%{_exec_prefix}
make

%install
[ "$RPM_BUILD_ROOT" != "" ] && rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
rm -f $RPM_BUILD_ROOT%{cfgdir}/newscache.conf-dist
cp -p %SOURCE1 $RPM_BUILD_ROOT%{cfgdir}
touch $RPM_BUILD_ROOT%{cfgdir}/prefetch
mkdir -p $RPM_BUILD_ROOT%{_initrddir}
cp -p %SOURCE2 $RPM_BUILD_ROOT%{_initrddir}/newscache
mkdir -p $RPM_BUILD_ROOT%{cronday}
cp -p %SOURCE3 $RPM_BUILD_ROOT%{cronday}/newscache
mkdir -p $RPM_BUILD_ROOT%{spooldir}
ln -s ./NewsCacheClean $RPM_BUILD_ROOT%{_sbindir}/cacheclean
ln -s ./NewsCacheClean.8.gz $RPM_BUILD_ROOT%{_mandir}/man8/cacheclean.8.gz

%post
echo
echo "You have to edit the %{cfgdir}/newscache.conf file."
echo

%preun
if [ $1 = 0 ]; then
   %{_initrddir}/newscache stop >/dev/null 2>&1
   /sbin/chkconfig --del newscache
fi

%clean
[ "$RPM_BUILD_ROOT" != "" ] && rm -rf $RPM_BUILD_ROOT

%files
%attr(0750,news,news)	%dir %{cfgdir}
%attr(2755,news,news)	%dir %{spooldir}
%attr(0600,news,news)	%config(noreplace) %{cfgdir}/*
%attr(0755,root,root)	%{_initrddir}/newscache
%attr(0755,news,news)	%{cronday}/newscache
%attr(4755,news,news)   %{_bindir}/updatenews
%attr(0755,root,root)	%{_sbindir}/NewsCache*
%{_sbindir}/cacheclean
%{_mandir}/man?/*.gz
%doc AUTHORS ChangeLog COPYING COPYRIGHT INSTALL NEWS README THANKS TODO
%doc doc/*.txt etc/newscache.conf-dist
%{_infodir}/*

%changelog
* Tue Mar 18 2003 Carles Arjona <nospammer@bigfoot.com>
- version 0.99.22p1-1 RPM

* Sat Oct 26 2002 Carles Arjona <nospammer@bigfoot.com>
- fixed up spec file
- version 0.99.22-1 RPM

* Mon Jul 29 2002 Carles Arjona <nospammer@bigfoot.com>
- version 0.99.19-1 RPM
- added chkconfig support to init script
- added /etc/cron.daily/newscache
- fixed up both setguid.cc , version number and man pages
- built SPEC from scratch
